#!/bin/sh
#
# getpics.sh - A small script to fetch pictures from a Kodak CX-4230
# Copyright (C) 2003 Oskar Andreasson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA

# if present, images are automatically downloaded
# CUSTOMIZE THIS
DOWNLOAD=/home/blueflux/pics/kodak-cx4230
DEVICE=usb-d400-2

# where jPhoto executable (or modified script) is installed
JPHOTO=/usr/bin/jphoto

# maybe download images, videos, ... mp3s
if [ -d $DOWNLOAD ]; then
    mkdir -p $DOWNLOAD/$(date '+%Y-%m.%d')
    cd $DOWNLOAD/$(date '+%Y-%m.%d')
    (echo '*** '$(date); sudo $JPHOTO images --camera $DEVICE --directory .; \
	echo '') >> ../images.$(date '+%Y-%m.%d')
fi
